Bug 164642 - New port: audio/sooperlooper: a live looping sampler capable of immediate loop Xrecording, overdubbing, multiplying, reversing and more
New port: audio/sooperlooper: a live looping sampler capable of immediate loo...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
Depends on:
  Show dependency treegraph
Reported: 2012-01-30 16:20 UTC by Mathias.Picker
Modified: 2012-02-07 06:50 UTC (History)
0 users

See Also:

file.shar (16.30 KB, text/plain)
2012-01-30 16:20 UTC, Mathias.Picker
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias.Picker 2012-01-30 16:20:12 UTC
Port of audio/sooperlooper, a live looping sampler. This works fine on my 9-stable amd64 machine.

This needs audio/vamp-plugin-sdk and audio/rubberband to build, see previous pr.

No midi, sadly, and since there is no --without-alsa in the configure script I just yanked all the alsa stuff out of it, so it works fine even with alsa installed. Otherwise, it would crash with "no /dev/snd/seq".

I wanted to use a live looping sampler, there was none on FreeBSD and sooperlooper proved easy to port. 

I can't officially maintain this, as I have a heart condition which might stop me any day, but I will probably use this for at least a year and so keep it up to date.
Comment 1 Martin Wilke freebsd_committer 2012-02-01 11:23:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2012-02-07 06:39:52 UTC
State Changed
From-To: open->closed

New port added, i've taken the maintainership. Sorry to hear about your 
heart. I wish you all the best.
Comment 3 dfilter freebsd_committer 2012-02-07 06:40:15 UTC
miwi        2012-02-07 06:39:53 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/sooperlooper   Makefile distinfo pkg-descr pkg-plist 
    audio/sooperlooper/files patch-configure 
  SooperLooper is a live looping sampler capable of immediate loop recording,
  overdubbing, multiplying, reversing and more. It allows  for multiple
  simultaneous multi-channel loops limited only by your computer's available
  WWW:    http://essej.net/sooperlooper/
  PR:             ports/164642
  Submitted by:   mathias.picker@gmx.de
  Revision  Changes    Path
  1.1211    +1 -0      ports/audio/Makefile
  1.1       +43 -0     ports/audio/sooperlooper/Makefile (new)
  1.1       +2 -0      ports/audio/sooperlooper/distinfo (new)
  1.1       +158 -0    ports/audio/sooperlooper/files/patch-configure (new)
  1.1       +157 -0    ports/audio/sooperlooper/files/patch-libs-midi-configure (new)
  1.1       +11 -0     ports/audio/sooperlooper/files/patch-libs-pbd-ftw.cc (new)
  1.1       +16 -0     ports/audio/sooperlooper/files/patch-src-plugin.cc (new)
  1.1       +6 -0      ports/audio/sooperlooper/pkg-descr (new)
  1.1       +15 -0     ports/audio/sooperlooper/pkg-plist (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"